Resent-Date: Fri, 14 May 1999 10:15:01 +0200 (MET DST)
To: Jes Sorensen <Jes.Sorensen@cern.ch>
Cc: "Andreas Oeldenberger" <Andreas.Oeldenberger@gmx.net>,
        "linux-m68k" <linux-m68k@lists.linux-m68k.org>
Subject: Re: 2.2.8
References: <537489-ums-gefloc@gmx.net> <d33e11qdaz.fsf@rsplus10.cern.ch>
X-Yow: I think my career is ruined!
From: Andreas Schwab <schwab@issan.cs.uni-dortmund.de>
Date: 14 May 1999 10:14:11 +0200
In-Reply-To: Jes Sorensen's message of "13 May 1999 16:01:08 +0200"
Resent-From: linux-m68k@phil.uni-sb.de

Jes Sorensen <Jes.Sorensen@cern.ch> writes:

|> >>>>> "Andreas" == Andreas Oeldenberger <Andreas.Oeldenberger@gmx.net> writes:
|> 
|> Andreas> Hi, Jes Sorensen <Jes.Sorensen@cern.ch>!  You wrote about
|> Andreas> "2.2.8":
|> 
|> >> Hi there
|> 
|> >> Yes it is true, 2.2.8 is out
|> 
|> Andreas> Hmm, it's a bit late for today but the only thing I can say
|> Andreas> is: It dosen't work here.
|> 
|> Andreas> It just hangs after starting init.
|> 
|> Andreas> Any useful hints what I could try?
|> 
|> Hmmm I suspect something is wrong with the keyboard changes, if I try
|> to switch VT it locks up, but I can still access the machine over the
|> Ethernet no problem (thats the reason why I didn't notice).

I don't know whether it has anything to do with this (I have never tried
it without), but there is a call to init_idle() missing in the idle loop.

Andreas.

--- linux/arch/m68k/kernel/process.c.~1~	Fri May 14 10:08:30 1999
+++ linux/arch/m68k/kernel/process.c	Fri May 14 10:09:41 1999
@@ -62,6 +62,7 @@
 	/* endless idle loop with no priority at all */
 	current->priority = 0;
 	current->counter = -100;
+	init_idle();
 	for (;;) {
 		if (!current->need_resched)
 #if defined(CONFIG_ATARI) && !defined(CONFIG_AMIGA) && !defined(CONFIG_MAC)

-- 
Andreas Schwab                                      "And now for something
schwab@issan.cs.uni-dortmund.de                      completely different"
schwab@gnu.org

